#include <assert.h>
#include <math.h>
#include <string.h>


int titleToNumber(char *columnTitle)
{
    int colnum = 0;
    int csize = strlen(columnTitle);
    for (int i = 0; i < csize; i++)
    {
        colnum += (columnTitle[i] - 'A' + 1) * pow(26, csize - i - 1);
    }

    return colnum;
}

int main()
{
    assert(titleToNumber("A") == 1);
    assert(titleToNumber("AB") == 28);
    assert(titleToNumber("ZY") == 701);

    return 0;
}
